/* general.h to be included in all modules */
                
#include <exec/types.h> 

#include <exec/memory.h>    

#include <devices/gameport.h>

#include <devices/inputevent.h>

#include <graphics/gfxmacros.h>

#include <graphics/sprite.h>

#include <hardware/custom.h>

#include <hardware/dmabits.h>

#include <intuition/intuition.h>

#include <libraries/dos.h>

#define  INTUITION_VERSION            0     

#define  GRAPHICS_VERSION             0  

#define  SCREENPLANES                 5  

#define  SCREENWIDTH                320   

#define  SCREENHEIGHT               256

#define  SPRITE_NUMBER                6

#define  XSTART                     150

#define  YSTART                     120

#define  SPRITE_HEIGHT               15

BOOL begin_block(void);                            

void end_block(void);

BOOL allocate_resource(UBYTE function_number); 

void deallocate_resource(UBYTE function_number); 

#ifdef ALLOCATE_GLOBALS

        #define PREFIX

  #else
  
        #define PREFIX extern

#endif

PREFIX struct   IntuitionBase   *IntuitionBase;

PREFIX struct   GfxBase         *GfxBase;

PREFIX struct   Screen          *global_screen_p;

PREFIX struct   Window          *global_window_p;   

PREFIX struct   RastPort        *global_rastport_p;   

PREFIX struct   View            *global_view_p;

PREFIX struct   ViewPort        *global_viewport_p;

PREFIX struct   IOStdReq        *global_gameport_IO_request_p;

PREFIX struct   MsgPort         *global_gameport_message_port_p;

PREFIX struct   InputEvent      input_event;

PREFIX BOOL     global_exit_flag;

PREFIX UBYTE    global_controller_type;

extern struct Custom far custom;











